/*
 Rookeries frontend server - React server-side render.

 @copyright (c) Copyright 2013-2016 Dorian Pula
 @license AGPL v3
 @author Dorian Pula [dorian.pula@amber-penguin-software.ca]
 */

import {renderReactComponentsToString} from "../router/server";

function renderReactPage(request, response) {
    const renderedApp = renderReactComponentsToString(request.originalUrl);
    response.render("base", renderedApp);
}

export { renderReactPage };
